import net.knarcraft.serverlauncher.profile.Profile;
import net.knarcraft.serverlauncher.server.ServerType;
import org.junit.Test;

import javax.naming.ConfigurationException;
import java.io.FileNotFoundException;

import static net.knarcraft.serverlauncher.Shared.stringBetween;
import static org.junit.Assert.assertEquals;

public class Tests {
    @Test
    public void loadServerVersions() throws ConfigurationException { //Make sure the server versions file has correct syntax
        ServerType.loadServerTypes();
    }

    @Test
    public void saveProfile() throws FileNotFoundException { //Make sure we can write profiles to disk
        Profile.addProfile("Test");
        Profile.getCurrent().save();
    }

    @Test
    public void stringBetweenTest() { //Make sure stringBetween is not creating exceptions
        String substring = stringBetween("fish'nchips", "f", "'");
        assertEquals("ish", substring);
        substring = stringBetween("something", "whale", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "so", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "asd", "ing");
        assertEquals("", substring);
    }
}
